Bug 523256 - upgrade of xorg-x11-server-xorg breaks login
Summary: upgrade of xorg-x11-server-xorg breaks login
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 11
Hardware: x86_64
OS: Linux
high
urgent
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-14 15:30 UTC by Steven W. Carter
Modified: 2018-04-11 07:48 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-24 00:02:19 UTC


Attachments (Terms of Use)

Description Steven W. Carter 2009-09-14 15:30:52 UTC
Description of problem:

Installation of update xorg-x11-server-Xorg-1.6.3-4.fc11.x86_64 breaks the xorg server.  The login screen appears, but upon login the screen flickers and you are presented with the login screen again.  A review of the logs shows:

Sep 14 11:19:13 e1103 kernel: Xorg[3667]: segfault at 0 ip 00000000004e8e0b sp 00007fff0234a658 error 4 in Xorg[400000+1b6000]

using yum downgrade I was able to restore the previous version of the package (xorg-x11-server-Xorg-1.6.1.901-1.fc11.x86_64) and restore functionality


Version-Release number of selected component (if applicable):

1.6.3-4.fc11.x86_64


How reproducible:  Very.  I reinstalled after this error happened.  After a full upgrade, the same thing happened again after a reboot.


Steps to Reproduce:
1. Upgrade xorg-x11-server-xorg
2. Reboot
3. Attempt to login
  
Actual results: The login screen is presented after a screen flicker


Expected results: The desktop should appear


Additional info:  I'm running an intel GM965 video card in a dell latitude d630

00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 0c)
	Subsystem: Dell Device 01f9
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>
	Kernel driver in use: agpgart-intel

00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c) (prog-if 00 [VGA controller])
	Subsystem: Dell Latitude D630
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 27
	Region 0: Memory at f6e00000 (64-bit, non-prefetchable) [size=1M]
	Region 2: Memory at e0000000 (64-bit, prefetchable) [size=256M]
	Region 4: I/O ports at efe8 [size=8]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: i915
	Kernel modules: i915

Comment 1 Christof Damian 2009-09-16 11:34:22 UTC
this might be a duplicate of bug: 518748

Comment 2 udo 2009-09-16 14:14:58 UTC
It isn't. No compiz here.
I don't even see a logins screen.
Xorg crashes with the dmessages pasted above.

Comment 3 Michal Schmidt 2009-09-30 21:19:19 UTC
Did 1.6.4-0.1.fc11 (from updates) fix this bug for you?

Comment 4 Nik Lam 2009-10-01 04:42:59 UTC
I'm not sure if it's the same issue, but Xorg crashes without getting to a login screen if I try to boot into runlevel 5.

Here's what I experience when I power up my Thinkpad X301 which has the x86_64 version of F11 installed, with all latest packages applied:

I have all volumes other than /boot encrypted, so I am first prompted to enter the passphrase for that. Once that is accepted, I get the normal plymouth graphical boot screen.

However once the final "flash" of the Fedora logo of the plymouth session ends, then the display begins to alternate between a graphical screen and a non-graphical console.

The graphical screen has a black background with the animated "blue busy swirl" mouse pointer in the middle. The non-graphical console has a single underscore character in the extreme top left of the screen.

The rate of alternation between these two states is approximately one cycle per second before finally settling on the non-graphical console after 5 cycles of seeing.

It does not respond to ctrl+alt+Fx keys to get alternative ttys and doesn't respond to ctrl+alt+del or ctrl+alt+backspace.

It does respond to depressing the power button for half a second, upon which I get the plymouth (graphical) shutdown to occur successfully.

I can provide Xorg log files if that helps.

Booting into runlevel 3 I can startx successfully. However, when I try to launch OpenOffice Writer, Xorg crashes completely. When I downgrade xorg-x11-server-Xorg from 1.6.4-0.1 to the previous version (1.6.1.901-1), while it doesn't fix the runlevel 5/gdm problem, it does allow me to run OpenOffice.org Writer.

Comment 5 Michal Schmidt 2009-10-02 07:46:34 UTC
Nik, what you described looks like a different bug. Please file it separately. And yes, it will be very useful if you attach Xorg log to your bugreport.

Steven, did 1.6.4-0.1.fc11 (from updates) fix this bug for you?

Comment 6 Nik Lam 2009-10-02 22:31:33 UTC
OK thanks Michal, I've filed it as 

https://bugzilla.redhat.com/show_bug.cgi?id=526992

Comment 7 Adam Jackson 2009-11-05 15:55:30 UTC
Steven, if you could provide the X log files from the crash (probably /var/log/Xorg.0.log.old, should have a backtrace near the end) that would be very helpful.

Comment 8 Matěj Cepl 2009-11-05 18:37:59 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 9 Chris Campbell 2009-12-16 18:36:09 UTC
Steven, if this bug is still reproduceable by you, please provide the logs as asked for in Comment #7.

Since this bug has had a developer direct what is needed, I am setting it as Assigned To to Adam, adding keyword Triaged, and changing STATUS to ASSIGNED (Fedora 11) per new BZ policy.

This bug has been triaged

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 10 Matěj Cepl 2010-02-26 12:26:48 UTC
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]

Comment 11 Steven W. Carter 2010-04-23 21:51:02 UTC
Sorry Matej, since the very next release (released that day or the next) fixed this issue, I did not check the ticket again.  This is indeed safe to close.  I obviously no longer have the logs for this issue.

Comment 12 Chris Campbell 2010-04-24 00:02:19 UTC
Closing per Comment 11



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers


Note You need to log in before you can comment on or make changes to this bug.